{
  "namespace": "ccam_form",
  "menu@common_dialogs.main_panel_no_buttons": {
    "$title_panel": "common_dialogs.standard_title_label",
    "$title_size": [ "100% - 15px", 10 ],
    "$title_max_size": [ "100% - 15px", 10 ],
    "size": [ 340, 200 ],
    "$text_name": "#title_text",
    "$title_text_binding_type": "none",
    "$custom_background": "ccam_form.custom_background",
    "layer": 2,
    "controls": [
      {
        "common_panel@common.common_panel": { "$dialog_background": "$custom_background" }
      },
      {
        "title_ccam@ccam_form.ccam_title": {
          "size": [ "100%", "100%" ],
          "offset": [ 0, "-11%" ],
          "layer": 3,
          "$teks": "$text_name",
          "anchor_from": "top_left",
          "anchor_to": "top_left"
        }
      },
      {
        "panel_indent@ccam_form.main_panel": {
       }
      }
    ]
  },
  "custom_background@common.dialog_background_common": {
    "texture": "textures/ui/ccam_background"
  },
  "ccam_title": {
    "type":"panel",
    "controls": [{
      "bg@ccam_form.custom_background": {
        "layer": 10,
        "anchor_from": "top_left",
        "anchor_to": "top_left",
        "size": [ "30%", "10%" ],
        "controls": [{
      "teks": {
        "type": "label",
        "anchor_from": "center",
        "anchor_to": "center",
        "text": "$teks",
        "size": [ "90%", "90%" ],
        "layer": 11,
        "font_type": "MinecraftTen"
      }
         }]
      }
    }]
  },
  "main_panel": {
    "type": "collection_panel",
    "anchor_from": "center",
    "anchor_to": "center",
   "$cbutton": "textures/ui/ccam_button",
    "$csize": [ 128, 128 ],
   "$iconsize": [ 32, 32 ],
   "$padding": [ 64, 64 ],
   "collection_name": "form_buttons",
	"controls": [
     {
	  "button_1@server_form.custom_button": {
       "offset": [ "-25%", 0 ],
       "collection_index": 0
     }
  	},
   {
      "sekrol@ccam_form.long_form_panel": {}
    }
   ]
  },
  "long_form_panel" : {
    "type": "stack_panel",
    "size": ["50%", "75%"],
    "offset": [ -5, 0 ],
    "orientation": "vertical",
    "layer": 5,
    "anchor_from": "right_middle",
    "anchor_to": "right_middle",
    "controls": [
      {
        "scrolling_panel@common.scrolling_panel": {
          "anchor_to": "top_right",
          "anchor_from": "top_right",
          "$show_background": false,
          "size": [ "100%", "100%" ],
          "$scrolling_content": "ccam_form.ccam_save",
          "$scroll_size": [ 5, "100% - 4px" ],
          "$scrolling_pane_size": [ "100% - 4px", "100% - 2px" ],
          "$scrolling_pane_offset": [ 2, 0 ],
          "$scroll_bar_right_padding_size": [ 0, 0 ]
        }
      }
    ]
  },
  "ccam_save": {
    "type": "stack_panel",
    "size": ["100% - 4px", "100%c" ],
    "orientation": "vertical",
    "anchor_from": "top_middle",
    "anchor_to": "top_middle",
    "collection_name": "form_buttons",
	"controls": [
     {
	  "tombol@ccam_form.dynamic_button": {
       "collection_index": 1
      }
     },
     {
	  "tombol2@ccam_form.dynamic_button": {
       "collection_index": 2
      }
     },
     {
	  "tombol3@ccam_form.dynamic_button": {
       "collection_index": 3
      }
     },
     {
	  "tombol4@ccam_form.dynamic_button": {
       "collection_index": 4
      }
     },
     {
	  "tombol5@ccam_form.dynamic_button": {
       "collection_index": 5
      }
     },
     {
	  "tombol6@ccam_form.dynamic_button": {
       "collection_index": 6
      }
     },
     {
	  "tombol7@ccam_form.dynamic_button": {
       "collection_index": 7
      }
     },
     {
	  "tombol8@ccam_form.dynamic_button": {
       "collection_index": 8
      }
     },
     {
	  "tombol9@ccam_form.dynamic_button": {
       "collection_index": 9
      }
     },
     {
	  "tombol10@ccam_form.dynamic_button": {
       "collection_index": 10
      }
     }
   ]
  },
  "menu_panel": {
    "type":"panel",
    "controls": {
    	"custom_panel_main": {
		"type": "stack_panel",
		"size": ["100%", "100%"],
		"orientation": "vertical",
		"layer": 1,
		"anchor_from": "top_left",
		"anchor_to": "top_left",
		"controls": [
			{
				"scrolling_panel@common.scrolling_panel": {
					"anchor_to": "top_left",
					"anchor_from": "top_left",
					"$show_background": false,
					"size": ["100%", "100%"],
					"$scrolling_content": "server_form.custom_panel",
					"$scroll_size": [3, "100% - 4px"],
					"$scrolling_pane_size": ["100% - 4px", "100% - 2px"],
					"$scrolling_pane_offset": [1, 0],
					"$scroll_bar_right_padding_size": [0, 0]
				}
			}
		]
	}
    }
  },
  "dynamic_button": {
    "type": "stack_panel",
    "size": ["100%", "100%c" ],
    "orientation": "horizontal",
    "controls":[
      {
        "form_button@common_buttons.light_text_button": {
          "$pressed_button_name": "button.form_button_click",
          "anchor_from": "top_left",
          "anchor_to": "top_left",
          "size": [ "fill", 32 ],
          "$button_text": "#form_button_text",
          "$button_text_binding_type": "collection",
          "$button_text_grid_collection_name": "form_buttons",
          "$button_text_max_size": [ "100%", 20 ],
          "$default_button_texture": "textures/ui/ccam_button",
          "$border_visible": false,
          "bindings": [
            {
              "binding_type": "collection_details",
              "binding_collection_name": "form_buttons"
            },
	        {
		      "binding_name": "#form_button_text",
				"binding_type": "collection",
				"binding_collection_name": "form_buttons"
			  },
            {
              "binding_type": "view",
              "source_property_name": "(not ((#form_button_text - '§c§c§f') = #form_button_text))",
              "target_property_name": "#visible"
            }
          ]
        }
      }
    ]
  }
}